#!/bin/sh
#*********************************************************{COPYRIGHT-TOP} ***
# Licensed Materials - Property of IBM
# 5724-M07, 5698-A77
#
# (C) Copyright IBM Corp. 2006 All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication, or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# ****************************************************** {COPYRIGHT-END} ***

JARFILE=kd4dcagent.jar
DESTJARFILE=kd4dcagent-6.0.jar
WASPREREQ=ibm-jaxrpc-client.jar
NEWWASPREREQ=ibm-jaxrpc-client-6.0.2.jar

USERNAME=$3
PASSWORD=$4

#get wasce home dir
if [ "$2" = "USE_ENV_HOME" ]
then
   KD4_WASCE_HOME=$WASCE_HOME
else
   KD4_WASCE_HOME=$2
fi

WASCE_LIB=$KD4_WASCE_HOME/lib

#chech whether this dir is valid wasce home dir
if [ "$KD4_WASCE_HOME" = "" ]
then
   echo "Set The WASCE_HOME environment variable or pass it as a parameter before running the master KD4configDC script."
   exit 180  
elif [ -d "$KD4_WASCE_HOME" ] && [ -d "$KD4_WASCE_HOME/bin" ] && [ -d "$KD4_WASCE_HOME/lib" ] && [ -d "$KD4_WASCE_HOME/repository" ] && [ -d "$KD4_WASCE_HOME/var" ]
then
   SAVE_CP=$CLASSPATH
   export SAVE_CP
   ENABLE_TYPE=$1
   KD4_DIR=$5
   if [ "$ENABLE_TYPE" = "-enable" ]
   then
      # when user want to enable, need to copy two jars to dest dir prior to enable it
      if [ -d "/$KD4_WASCE_HOME/repository/KD4/jars" ]
      then
         echo ""
      else
         mkdir -p /$KD4_WASCE_HOME/repository/KD4/jars
      fi

      cp -f $KD4_DIR/KD4/lib/$JARFILE $KD4_WASCE_HOME/repository/KD4/jars/$DESTJARFILE
      CP_RC=$?
      if [ "$CP_RC" != "0" ]
      then
         echo "unable to copy from $KD4_DIR/KD4/lib/$JARFILE to $KD4_WASCE_HOME/repository/KD4/jars/$DESTJARFILE"          
         CLASSPATH=$SAVE_CP
         export CLASSPATH
         exit -1
      fi

      cp -f $KD4_DIR/KD4/lib/$WASPREREQ $KD4_WASCE_HOME/repository/KD4/jars/$NEWWASPREREQ
      CP_RC=$?
      if [ "$CP_RC" != "0" ]
      then
         echo "unable to copy from $KD4_DIR/KD4/lib/$WASPREREQ to $KD4_WASCE_HOME/repository/KD4/jars/"
         CLASSPATH=$SAVE_CP
         export CLASSPATH
         exit -1
      fi
   fi
      
   #set classpath
   echo $KD4_DIR 
   NEW_CP="$KD4_DIR/KD4/lib/kd4dcagent.jar:$WASCE_LIB/geronimo-kernel-1.0.jar:$WASCE_LIB/geronimo-deploy-jsr88-1.0.jar:$WASCE_LIB/geronimo-deployment-1.0.jar:" 
   NEW_CP="$NEW_CP:$WASCE_LIB/mx4j-remote-3.0.1.jar:$WASCE_LIB/mx4j-3.0.1.jar:$WASCE_LIB/cglib-nodep-2.1_3.jar:"
   NEW_CP="$NEW_CP:$WASCE_LIB/commons-logging-1.0.4.jar:$WASCE_LIB/geronimo-common-1.0.jar:$KD4_WASCE_HOME/repository/jdom/jars/jdom-1.0.jar"
   CLASSPATH=$NEW_CP
   export CLASSPATH
	
   JAVA_HOME=$KD4_DIR/KD4/ibmjava142/jre

   $JAVA_HOME/bin/java com.ibm.management.soa.agent.wasce.install.WASCEDCInstall $ENABLE_TYPE "$KD4_WASCE_HOME" $USERNAME $PASSWORD "$6" $7
      
   RC=$?
   CLASSPATH=$SAVE_CP
   export CLASSPATH
   exit $RC
    
else
   echo "The WASCE_HOME '$KD4_WASCE_HOME' is invalid."
   exit 181
fi
